Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.transaction
Interface Transaction

    public interface Transaction

Version:
  $Rev: 467742 $ $Date: 2006-10-25 21:30:38 +0200 (Wed, 25 Oct 2006) $

Method Summary
`void` | `commit()`
`boolean` | `delistResource(XAResource xaRes, int flag)`
`boolean` | `enlistResource(XAResource xaRes)`
`int` | `getStatus()`
`void` | `registerSynchronization(Synchronization synch)`
`void` | `rollback()`
`void` | `setRollbackOnly()`

Method Detail

### commit

    void commit()
                throws HeuristicMixedException,
                       HeuristicRollbackException,
                       RollbackException,
                       java.lang.SecurityException,
                       SystemException

  Throws:
    `HeuristicMixedException`
    `HeuristicRollbackException`
    `RollbackException`
    `java.lang.SecurityException`
    `SystemException`

### delistResource

    boolean delistResource(XAResource xaRes,
                           int flag)
                           throws java.lang.IllegalStateException,
                                  SystemException

  Throws:
    `java.lang.IllegalStateException`
    `SystemException`

### enlistResource

    boolean enlistResource(XAResource xaRes)
                           throws java.lang.IllegalStateException,
                                  RollbackException,
                                  SystemException

  Throws:
    `java.lang.IllegalStateException`
    `RollbackException`
    `SystemException`

### getStatus

    int getStatus()
                  throws SystemException

  Throws:
    `SystemException`

### registerSynchronization

    void registerSynchronization(Synchronization synch)
                                 throws java.lang.IllegalStateException,
                                        RollbackException,
                                        SystemException

  Throws:
    `java.lang.IllegalStateException`
    `RollbackException`
    `SystemException`

### rollback

    void rollback()
                  throws java.lang.IllegalStateException,
                         SystemException

  Throws:
    `java.lang.IllegalStateException`
    `SystemException`

### setRollbackOnly

    void setRollbackOnly()
                         throws java.lang.IllegalStateException,
                                SystemException

  Throws:
    `java.lang.IllegalStateException`
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.